Issue 9539

Title
Date on x axis are not summed
Priority
bug
Status
resolved
Nosy list
ced, resteve, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2020-08-17.18:09:59 by resteve, last changed 2 weeks ago by roundup-bot.

Files

File name Uploaded Type Details
gtk-chart.jpg resteve, 2020-08-17.18:10:28 image/jpeg view
sao-chart.png resteve, 2020-08-17.18:10:19 image/png view

Messages

New changeset 5156ea02d15d by Cédric Krier in branch '5.6':
Use ISO string format for timeseries graph
https://hg.tryton.org/sao/rev/5156ea02d15d

New changeset 9cdc046e7fbd by Cédric Krier in branch '5.4':
Use ISO string format for timeseries graph
https://hg.tryton.org/sao/rev/9cdc046e7fbd

New changeset 4ab5bf57a2d1 by Cédric Krier in branch '5.0':
Use ISO string format for timeseries graph
https://hg.tryton.org/sao/rev/4ab5bf57a2d1
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-09-27.23:14:21
Here is review298671002 which solves the position issue.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-09-27.23:13:45
rev e6572d4652be is not enough to sum y values for the same x key.
New changeset e6572d4652be by Cédric Krier in branch 'default':
Use ISO string format for timeseries graph
https://hg.tryton.org/sao/rev/e6572d4652be
Author: [hidden] (resteve)
Date: 2020-08-17.18:09:59
Different behavior between SAO and GTK graph view.

XML:

<graph type="line">
  <x>
    <field name="planned_date"/>
  </x>
  <y>
    <field name="balance" empty="0" interpolation="constant-left" fill="1"/>
  </y>
</graph>

Result:

SAO: each planned_date is a item in the graph.
GTK: sum each planned_date in the graph.

See screens that mark with red: 1/9/20 (2020-09-01)
History
Date User Action Args
2020-10-06 00:22:41roundup-botsetstatus: testing -> resolved
messages: + msg60594
keyword: - backport
2020-09-27 23:26:50reviewbotsetmessages: + msg60436
2020-09-27 23:14:21cedsetstatus: in-progress -> testing
reviews: 296221002 -> 296221002,298671002
messages: + msg60435
2020-09-27 23:13:45cedsetstatus: resolved -> in-progress
messages: + msg60434
2020-09-27 12:43:36roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg60412
2020-09-11 10:47:25cedsetkeyword: + backport
2020-09-11 10:32:49reviewbotsetnosy: + reviewbot
messages: + msg60055
2020-09-11 10:26:10cedsetstatus: in-progress -> testing
reviews: 296221002
keyword: + review
2020-09-11 00:11:41cedsetstatus: chatting -> in-progress
assignedto: ced
nosy: + ced
2020-08-17 18:25:09cedsetpriority: feature -> bug
title: Different behavior between SAO and GTK graph view (sum or duplicate items) -> Date on x axis are not summed

Showing 10 items. Show all history (warning: this could be VERY long)